Subject: Re: bug#76264: [GNU ELPA] Use lisp-data-mode in generated *-pkg.el files

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Mar 2025 17:00:38 -0400

Basil L. Contovounesios [2025-03-22 17:34:53] wrote:
> Stefan Monnier [2025-03-19 18:03 -0400] wrote:
>> Then indeed, we need to refrain from using `lisp-data-mode` at least for
>> those packages that are meant to support Emacs<28.  I pushed a patch
>> to `elpa-admin.el` which does that.
> Thanks.  Does someone then need to trigger a tarball rebuild somehow?

That would be ideal.  We usually try and refrain from modifying
existing files.  We could force them to be re-created, if needed, but
it's messy to do (e.g. the way things are setup, this will inevitably
involve a time window during which things are broken, and of course it
would require figuring out which ones need to be re-created).

        Stefan